# saga::job Namespace Reference

The Job Management API package. More...

## Classes
class | istream
| Brief description starts here. More...
class | job
| The job provides the manageability interface to a job instance submitted to a resource manager. More...
class | description
| This object encapsulates all the attributes which define a job to be run. More...
class | self
| The job_self class is a job which represents the current application. More...
class | service
| The job_service represents a resource management backend, and as such allows to create and submit jobs, and to discover jobs. More...
class | ostream
| Brief description starts here. More...
## Namespaces
namespace | detail
namespace | metrics
| Available metrics defined for the Job Management API package.

namespace | attributes
| Available attributes defined for the Job Management API package.

## Enumerations
enum | state { Unknown = saga::task_base::Unknown, New = saga::task_base::New, Running = saga::task_base::Running, Done = saga::task_base::Done, Canceled = saga::task_base::Canceled, Failed = saga::task_base::Failed, Suspended = 6 }
| The state is equivalent to the inherited sagatask::state, but adds the Suspended state. More...

## Detailed Description

The Job Management API package.

## Enumeration Type Documentation

enum saga::job::state

The state is equivalent to the inherited sagatask::state, but adds the Suspended state.

Enumerator:

  Unknown | Not part of the SPEC...
  New | This state identies a newly constructed job instance which has not yet run. This state corresponds to the BES state Pending. This state is initial.
  Running | The run() method has been invoked on the job, either explicitly or implicitly. This state corresponds to the BES state Running. This state is initial.
  Done | The synchronous or asynchronous operation has finished successfully. It corresponds to the BES state Finished. This state is final.
  Canceled | The asynchronous operation has been canceled, i.e. cancel() has been called on the job instance. It corresponds to the BES state Canceled. This state is final.
  Failed | The synchronous or asynchronous operation has finished unsuccessfully. It corresponds to the BES state Failed. This state is final.
  Suspended | Suspended identifies a job instance which has been suspended. This state corresponds to the BES state Suspend.